petsc-3.12.1 2019-10-22
Report Typos and Errors

# ISGetNonlocalIndices

Retrieve an array of indices from remote processors in this communicator.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISGetNonlocalIndices(IS is, const PetscInt *indices[])

Collective on IS

### Input Parameter

is -the index set

### Output Parameter

indices -indices with rank 0 indices first, and so on, omitting the current rank. Total number of indices is the difference total and local, obtained with ISGetSize() and ISGetLocalSize(), respectively.

### Notes

restore the indices using ISRestoreNonlocalIndices(). The same scalability considerations as those for ISGetTotalIndices apply here.

### See Also

ISGetTotalIndices(), ISRestoreNonlocalIndices(), ISGetSize(), ISGetLocalSize().

### Level

intermediate

### Location

src/vec/is/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages